---
title: VRDisplayCapabilities.maxLayers
slug: Web/API/VRDisplayCapabilities/maxLayers
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplayCapabilities
  - Virtual Reality
  - WebVR
  - maxLayers
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>maxLayers</code></strong> read-only property of the {{domxref("VRDisplayCapabilities")}} interface returns a number indicating the maximum number of {{domxref("VRLayer")}}s that the VR display can present at once (e.g. the maximum length of the array that {{domxref("Display.requestPresent()")}} can accept.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var maximumLayers = vrDisplayCapabilitiesInstance.<code>maxLayers</code>;</pre>

<h3 id="Value">Value</h3>

<p>A number, which must be 1 if {{domxref("VRDisplayCapabilities.canPresent")}} is <code>true</code>, or 0 otherwise.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplayCapabilities", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplaycapabilities-maxlayers', 'maxLayers')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplayCapabilities.maxLayers")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
